HYPRIDLE(1)

NAME
hypridle - Idle daemon for Hyprland

SYNOPSIS
hypridle [-c config_path] [-q|--quiet] [-v|--verbose]

DESCRIPTION
Hypridle is a lightweight and efficient Wayland idle daemon designed for the Hyprland compositor. It implements the ext-idle-notify-v1 protocol and supports:

•   DBus loginctl lock/unlock and before-sleep hooks

•   DBus inhibit interface (used by Firefox, Steam, etc.)

USAGE
Hypridle should ideally be launched automatically after login. This can be done via your compositor or systemd. To launch from Hyprland, add the following to your hyprland.conf:

    exec-once = hypridle
To run hypridle using systemd:

    systemctl --user enable --now hypridle.service

OPTIONS

-c, --config config_path
    Specify an alternate configuration file. Defaults to: ${XDG_CONFIG_HOME}/hypr/hypridle.conf

-q, --quiet
    Suppress output.

-v, --verbose
    Enable verbose output for debugging.

AUTHOR
Maintained by Carl Keinath <carl.keinath@gmail.com>

SEE ALSO
hyprland(1), systemd(1)

COPYRIGHT
MIT License. See the project repository for more information.